classification
Title: runtime_library_dirs and gcc don't mix
Type: Stage:
Components: Distutils Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: fdrake Nosy List: fdrake, gcapell, loewis
Priority: high Keywords:

Created on 2001-07-30 10:15 by gcapell, last changed 2001-12-11 05:06 by fdrake. This issue is now closed.

Files
File name Uploaded Description Edit
unixccompiler.diff fdrake, 2001-12-06 21:57 hackish support for gcc
Messages (5)
msg5675 - (view) Author: Gary Capell (gcapell) Date: 2001-07-30 10:15
providing runtime_library_dirs	=["/foo"],
setup.py build does:

gcc -shared -R/foo ...

whereas it requires

gcc -shared -Wl,-R/foo

to get the option through to the linker.

My configuration:

python2.1.1, gcc 2.9.6, binutils 2.10.91.0.2,
redhat 7.1, intel


Please let me know if I'm just doing something stupid.

Thanks heaps for the distutils stuff, it makes playing
with extensions way easier.
msg5676 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2001-08-11 07:53
Logged In: YES 
user_id=21627

It somewhat depends on the platform; on Solaris, gcc will 
accept -R. On Linux, it doesn't, so this is really 
distutils fault, not yours.
msg5677 - (view) Author: Fred Drake (fdrake) (Python committer) Date: 2001-12-06 21:57
Logged In: YES 
user_id=3066

I've attached a proposed patch, but it's way too hackish,
and doesn't generalize at all.  But it probably solves the
most common case.
msg5678 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2001-12-07 10:21
Logged In: YES 
user_id=21627

It is hackish, but it looks acceptable to me. When I
applying this patch, I recommend to add a comment indicating
what problem this fragment solves.
msg5679 - (view) Author: Fred Drake (fdrake) (Python committer) Date: 2001-12-11 05:06
Logged In: YES 
user_id=3066

Fixed in Lib/distutils/unixccompiler.py revision 1.38.
(Bugfix candidate.)
History
Date User Action Args
2001-07-30 10:15:26gcapellcreate